summaryrefslogtreecommitdiffstats
path: root/system/hdapsd/hdapsd.SlackBuild
diff options
context:
space:
mode:
author alkos3332010-05-12 23:33:37 +0200
committer Robby Workman2010-05-12 23:33:37 +0200
commit4db878070ac8636be9cad28bdeae6ecf168ff662 (patch)
treee43d809a944368434f339579ecd192c338e0ddba /system/hdapsd/hdapsd.SlackBuild
parenta4f48c6e2036f6636a786f85bbbd41f023230042 (diff)
downloadslackbuilds-4db878070ac8636be9cad28bdeae6ecf168ff662.tar.gz
system/hdapsd: Added to 12.2 repository
Diffstat (limited to 'system/hdapsd/hdapsd.SlackBuild')
-rw-r--r--system/hdapsd/hdapsd.SlackBuild111
1 files changed, 111 insertions, 0 deletions
diff --git a/system/hdapsd/hdapsd.SlackBuild b/system/hdapsd/hdapsd.SlackBuild
new file mode 100644
index 0000000000..5922b826b9
--- /dev/null
+++ b/system/hdapsd/hdapsd.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for hdapsd
+
+# Copyright (c) 2008 alkos333 <me@alkos333.net>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=hdapsd
+VERSION=${VERSION:-20090328}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+find . -type f -exec gzip -9 {} \;
+for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Install a sample config file and init script
+mkdir -p $PKG/etc/rc.d
+cat $CWD/hdapsd.conf > $PKG/etc/hdapsd.conf.new
+cat $CWD/rc.hdapsd > $PKG/etc/rc.d/rc.hdapsd.new
+chmod 0755 $PKG/etc/rc.d/rc.hdapsd.new
+
+# Put udev rules in the right place and prefix them with a number
+# 51 is more or less arbitrary, but should be fine
+# If anyone has a link to what other distributions are doing, let us know
+#mkdir -p $PKG/lib
+#mv $PKG/etc/udev $PKG/lib
+#mv $PKG/lib/udev/rules.d/hdapsd.rules $PKG/lib/udev/rules.d/51-hdapsd.rules
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# ChangeLog NEWS README are empty
+cp -a AUTHORS COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz